%define module_name	ipp2p
%define module_release	alt1
%define module_version	0.8.2

%define target		libipt_ipp2p.so
%define module_dir	/%_lib/iptables/

Summary:	Peer-to-peer (P2P) data in IP traffic indentification
Name:		iptables-module-%module_name
Version:	%module_version
Release:	%module_release
License:	GPL
Group:		System/Kernel and hardware

URL:		http://www.ipp2p.org/
BuildPreReq: iptables
BuildPreReq: iptables-devel
BuildPreReq: kernel-source-%module_name = %module_version

Prereq:		coreutils
Prereq:         iptables

%description
IPP2P uses suitable search patterns to identify P2P traffic thus
allowing the reliable identifcation of traffic belonging to many
P2P networks. Once identified one may handle P2P traffic in
different ways - dropping such traffic, putting into low priority
classes or shaping to a given bandwidth limit is possible.
Reducing costs, freeing network ressources and therefore
improving network performance is often the result of using IPP2P.

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
sed -i 's/\tld/\t$(CC)/;s/^\(KERNEL_SRC\).*/\1=y/' Makefile
PATH="/sbin:$PATH" %make IPTABLES_SRC=/usr/include %target

%install
mkdir -p %buildroot%module_dir/
cp *so %buildroot%module_dir/

%files
%defattr(644,root,root,755)
%module_dir/

%changelog
* Sun Oct 21 2007 Peter V. Saveliev <peet@altlinux.org> 0.8.2-alt1
- initial build
